<!DOCTYPE html>
<html lang="fr">

<head>
  <title>Présentation projet : groupe 5</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    figure {
      border: 1px #cccccc solid;
      padding: 4px;
      margin: auto;
    }

    figcaption {
      background: rgba(0, 0, 0, 0.7);
      color: white;
      font-style: italic;
      padding: 2px;
      text-align: left;
    }
  </style>
</head>

<body>

  <div class="container-fluid p-5 bg-primary text-white text-center">
    <h1>Les régles</h1>
    <figure>
      <img src="img/Régle du jeu.jpg">
    </figure>
    <p>Groupe 05 : Lucas LARZILLIERE, Tristan VILLETTE, Florian GAVA</p>
    <a href='ProjetS2.html' class="row-sm-4 ">
      <button type="button" class="btn btn-secondary">Retour</button>
    </a>
  </div>
  <div>
    <h2>Structure</h2>
    <figure>
      <img src="img/struc_regle.png">
      <figcaption>Structure de nos régles</figcaption>
    </figure>
    <p>Chaque règle dispose de 8 paramètres.</p>
    <p>Les 4 premiers sont les directions. Il peut soit y avoir un obstacle, soit une case vide, soit un trésor. Un
      joker est également possible.</p>
    <p>La direction du joueur 1 sert à désigner vers où se situe la proie à chasser du joueur actuel (le renard pour la
      vipère par exemple). C'est N, S, O, ou E.</p>
    <p>La priorité est définie entre 1 et 10 et est utile lors du choix de la règle à appliquer.</p>
    <p>Il existe 4 actions possibles : HAUT, BAS, GAUCHE, DROITE.</p>

    <h2>Régles</h2>
    <figure>
      <img src="img/les régles base.png">
      <figcaption>Régles avant apprentissage</figcaption>
    </figure>
    <p>Toutes les règles de départ sont choisies aléatoirement parmis toutes les valeurs possibles.</p>
    <p>Il y a 80% de chance de prendre des Joker pour ne pas avoir des règles injouables dès le début.</p>
    <p>La direction du point le plus proche et des autres joueurs sont directiement initalisés à -1 (le joker) car ce
      sont des règles trop précises pour démarrer la partie.</p>
    <p>On a convenu dans la plupart de nos tests d'entrainer le modèle avec 10 règles. </p>

    <h2>Fonctions utiles</h2>
    <figure>
      <img src="img/fonctionsRegle.png">
      <figcaption>Régles avant apprentissage</figcaption>
    </figure>
    <p>initRegles : initialise les règles comme vu au dessus.</p>
    <p>GetDirection : donne la direction d'une position par rapport à une autre, par exemple le renard regarde où est la
      poule.</p>
    <p>GetCasesAutour : permet de regarder à partir d'une position les 4 cases autour et savoir si elles contiennent un
      obstacle, un personnage ou une case vide</p>
    <p>FiltrageRegles : regarde la position actuelle d'un personnage et regarde toutes les règles du set qui peuvent s'appliquer et renvoie une liste de ces règles</p>
    <p>choix_regle : permet de choisir la règle à appliquer aléatoirement en prenant en compte sa priorité.</p>


  </div>
</body>

</html>